Register for an event
POST /api/member/events/{eventId}/register. Register for an event. Headless LMS Events API reference.
Any active member of the organization registers themselves for a published public event that has not started, with source self. 403 when the event is private; 404 when it does not exist or is not published; 409 already_registered, started or full.
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/events/string/register"null{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Remove a file from an event you run DELETE
DELETE /api/member/events/{eventId}/assets/{assetId}. Remove a file from an event you run. Headless LMS Events API reference.
Cancel your registration for an event POST
POST /api/member/events/{eventId}/unregister. Cancel your registration for an event. Headless LMS Events API reference.